Package org.eclipse.m2m.atl.emftvm.util

# Class TypeHashMap<K,V>

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
org.eclipse.m2m.atl.emftvm.util.TypeHashMap<K,V>

Type Parameters:
  `K` -
  `V` -

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<K,V>`, `TypeMap<K,V>`

public class TypeHashMap<K,V> extends HashMap<K,V> implements TypeMap<K,V>
`HashMap` implementation of `TypeMap`.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`TypeHashMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`findAllKeys(Object key, Set<Object> keys)`
Finds this key, if contained, and any contained supertype keys.
`Object`
`findKey(Object key)`
Finds this key or a supertype key if contained, or `null` if neither is not contained.
`V`
`put(K key, V value)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

## Constructor Details

### TypeHashMap

public TypeHashMap()

## Method Details

### findKey

public Object findKey(Object key)
Finds this key or a supertype key if contained, or `null` if neither is not contained.

Specified by:
  `findKey` in interface `TypeMap<K,V>`
Parameters:
  `key` - the key to find
Returns:
  this key or a supertype key if contained, or `null` if neither is not contained
See Also:
  - `Map.containsKey(Object)`

### findAllKeys

public void findAllKeys(Object key, Set<Object> keys)
Finds this key, if contained, and any contained supertype keys.

Specified by:
  `findAllKeys` in interface `TypeMap<K,V>`
Parameters:
  `key` - the key to find
  `keys` - the collection in which to store the found keys
See Also:
  - `TypeMap.findAllKeys(java.lang.Object, java.util.Set)`

### put

public V put(K key, V value)

Specified by:
  `put` in interface `Map<K,V>`
Overrides:
  `put` in class `HashMap<K,V>`